=== debian/changelog ===
collada2gltf (20140924-8) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on dh-exec.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 20 Aug 2021 13:39:53 +0100

collada2gltf (20140924-7) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Remove CRs from copyright file.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 04:09:18 +0000

collada2gltf (20140924-6) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Sudip Mukherjee ]
  * Fix FTBFS with rapidjson. (Closes: #893203)
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat.
    - Update to compat level 13.
  * Remove whitespace from d/control and d/rules.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 03 Jul 2020 18:26:49 +0100

collada2gltf (20140924-5) unstable; urgency=medium

  * add Vcs-* fields (closes: #888664)
  * move Maintainer to QA

 -- Rene Engelhard <rene@debian.org>  Mon, 12 Feb 2018 21:31:37 +0100

collada2gltf (20140924-4) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * [12ab946] Fix typo in "Description:" field

  [ Rene Engelhard ]
  * [08624cc] multiarchify

 -- Rene Engelhard <rene@debian.org>  Tue, 06 Sep 2016 19:31:01 +0200

collada2gltf (20140924-3) unstable; urgency=medium

  * *really* build-depend on opencollada-dev (>= 0.1.0~20140703.ddf8f47+dfsg1-2)
    and also bump it in Depends:

 -- Rene Engelhard <rene@debian.org>  Sun, 09 Aug 2015 14:35:33 +0200

collada2gltf (20140924-2) unstable; urgency=medium

  * rebuild with gcc 5

  * build-depend on opencollada-dev (>= 0.1.0~20140703.ddf8f47+dfsg1-2)

 -- Rene Engelhard <rene@debian.org>  Sun, 02 Aug 2015 12:46:49 +0200

collada2gltf (20140924-1) unstable; urgency=low

  * Initial release (Closes: #763445)

 -- Rene Engelhard <rene@debian.org>  Thu, 14 May 2015 13:34:42 +0200
