=== debian/control ===
Source: collada2gltf
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), cmake, opencollada-dev (>= 0.1.0~20140703.ddf8f47+dfsg1-2), rapidjson-dev, libo3dgc-dev, libpng-dev, zlib1g-dev, dh-exec
Standards-Version: 4.5.0
Section: libs
Vcs-Git: https://salsa.debian.org/debian/collada2gltf.git
Vcs-Browser: https://salsa.debian.org/debian/collada2gltf

Package: libcollada2gltfconvert-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: opencollada-dev (>= 0.1.0~20140703.ddf8f47+dfsg1-2), rapidjson-dev, ${misc:Depends}
Description: COLLADA to glTF conversion library -- development
 glTF, the GL Transmission Format, is the runtime asset format for the GL APIs:
 WebGL, OpenGL ES, and OpenGL. glTF bridges the gap between formats used by
 modeling tools and the GL APIs.
 .
 COLLADA2GLTF converts COLLADA files to glTF.
 .
 This package contains the headers and static libraries for converting COLLADA
 to glTF in your applications.
